Bug 431955 - (pear-URL-Mapper) Review Request: php-pear-Net-URL-Mapper - Simple and flexible way to build nice URLs for web applications
Review Request: php-pear-Net-URL-Mapper - Simple and flexible way to build ni...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 19:11 EST by Christopher Stone
Modified: 2008-02-18 16:15 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.9.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:05:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch for tests (2.64 KB, patch)
2008-02-09 09:17 EST, Remi Collet
no flags Details | Diff
294467: patch for tests and package.xml (4.81 KB, patch)
2008-02-09 09:39 EST, Remi Collet
no flags Details | Diff
patch to use patch in specfile + add %check (378 bytes, patch)
2008-02-09 09:40 EST, Remi Collet
no flags Details | Diff

  None (edit)
Description Christopher Stone 2008-02-07 19:11:50 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL-Mapper.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL-Mapper-0.9.0-1.fc8.src.rpm

Description:
Net_URL_Mapper provides a simple and flexible way to build nice URLs for your
web applications.

The URL syntax is similar to what can be found in Ruby on Rails or Python
Routes module and as such, this package can be compared to what they call a
router. Still, Net_URL_Mapper does not perform the dispatching like these
frameworks and therefore can be used with your own router.
Comment 1 Remi Collet 2008-02-09 09:17:14 EST
REVIEW:
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* The spec file name match the base package
* The package meet the PHP Packaging Guidelines
* Fedora approved license (BSD)
* License field in the package spec file match the actual license
* The spec file is written in American English
* The spec file is legible
* The sources used to build the package must match the upstream source
11a4d002f881ac5d957cdbb6b46139f7  Net_URL_Mapper-0.9.0.tgz
* build in mock (rawhide, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane
* Final Provides ok
php-pear(Net_URL_Mapper) = 0.9.0
php-pear-Net-URL-Mapper = 0.9.0-1.fc8
**** Final Requires not OK
/usr/bin/pear  
php-pear(Net_URL) >= 1.0.14 (see below)
php-pear(PEAR)  


Must fixe:
   Requires: php-pear(Net-URL) >= 1.0.14
To :
   Requires: php-pear(Net_URL) >= 1.0.14


Should fixe test suite.

Using the attached patch, all provided tests (19+12+22) succeed.

I know running tests during build is not always simple, but it still usefull (as
least an "how to" provided)
Comment 2 Remi Collet 2008-02-09 09:17:49 EST
Created attachment 294467 [details]
patch for tests
Comment 3 Remi Collet 2008-02-09 09:39:39 EST
Created attachment 294468 [details]
294467: patch for tests and package.xml
Comment 4 Remi Collet 2008-02-09 09:40:16 EST
Created attachment 294469 [details]
patch to use patch in specfile + add %check
Comment 5 Remi Collet 2008-02-09 10:01:41 EST
Forget the %check. Doesn't work (at least in mock)

Or just keep it for documentation purpose.
Comment 6 Christopher Stone 2008-02-09 16:18:09 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL-Mapper.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL-Mapper-0.9.0-2.fc8.src.rpm

%changelog
* Sat Feb  9 2008 Christopher Stone <chris.stone@gmail.com> 0.9.0-2
- Add test file patch (bz #431955)
Comment 7 Remi Collet 2008-02-10 02:06:32 EST
** APPROVED **
Comment 8 Christopher Stone 2008-02-10 16:44:26 EST
New Package CVS Request
=======================
Package Name: php-pear-Net-URL-Mapper
Short Description: Simple and flexible way to build nice URLs for web applications
Owners: xulchris
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-02-11 12:55:18 EST
cvs done.
Comment 10 Fedora Update System 2008-02-11 16:37:56 EST
php-pear-Net-URL-Mapper-0.9.0-2.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-02-13 00:05:09 EST
php-pear-Net-URL-Mapper-0.9.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Christopher Stone 2008-02-18 16:15:31 EST
Built on all branches, thanks for the review! :D

Note You need to log in before you can comment on or make changes to this bug.